
/*** Spinner Start ***/

#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .8s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .8s ease-out, visibility 0s linear .0s;
    visibility: visible;
    opacity: 1;
}

.wow,
.animated {
    animation-duration: 2s !important;
}

/*** Spinner End ***/

.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    display: flex;
    width: 50px;
    height: 50px;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
    z-index: 99;
}

.back-to-top:hover {
    background: var(--bs-dark);
    color: var(--bs-primary);
}

h1, h2, h3, .h1, .h2, .h3 {
    font-weight: 700 !important;
   /* font-family: 'Open', sans-serif !important;
    font-family: "Nunito", sans-serif ;*/
    font-family: var(--font-family-sans-serif) !important;
}

h4, h5, h6, .h4, .h5, .h6 {
    font-weight: 600 !important;
    /*font-family: 'Open', sans-serif !important;
    font-family: "Nunito", sans-serif ;*/
    font-family: var(--font-family-sans-serif) !important;
}

.py-6 {
    padding-top: 6rem;
    padding-bottom: 6rem;
}

/*** Logo start ***/
.logo {
width: 8vw;
height:fit-content;
}
.logo-medium {
    width: 6vw;
    height:fit-content;
    }
    .logo-small {
        width: 4vw;
        height:fit-content;
        }
/*** Button Start ***/

.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-md-square {
    width: 46px;
    height: 46px;
}

.btn-lg-square {
    width: 58px;
    height: 58px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn.btn-primary:hover {
    color: var(--bs-primary) !important;
    background: var(--bs-dark) !important;
    border-color: var(--bs-dark) !important;
}

.btn.btn-dark:hover {
    color: var(--bs-dark) !important;
    background: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}
/*** Button End ***/


/*** Topbar Start ***/
.topbar .topbar-inner {
    height: 45px;
    padding: 10px 15px;
    background: rgba(255, 255, 255, .5);
}

.topbar a,
.topbar a i {
    transition: 0.5s;
}

.topbar a:hover,
.topbar a i:hover {
    color: var(--bs-primary) !important;
}
/*** Topbar End ***/


/*** Navbar 1 Start ***/
.fixed-top {
    transition: .5s;
}

.navbar {
    border-bottom: 1px solid rgba(255, 255, 255, .5);
}

.navbar .navbar-nav .nav-link {
    padding: 12px;
    /*color: var(--bs-dark);
    color: #ffd207;
    color: var(--bs-yellow);*/
    color: var(--bs-primary);
    /*background-color:#73737398;*/
    font-size: 18px;
    font-weight: 700;
    transition: .5s;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active,
.fixed-top.bg-white .navbar .navbar-nav .nav-link:hover,
.fixed-top.bg-white .navbar .navbar-nav .nav-link.active {
  /* color: var(--bs-primary);*/
     color: var(--bs-dark);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 992px) {
    .navbar-collapse {
        background: transparent !important;
    }

    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        border: 0;
        transition: .5s;
        opacity: 0;
    }

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        background: var(--bs-light) !important;
        transition: .5s;
        opacity: 1;
    }
}

.navbar-toggler {
    background: var(--bs-secondary);
    color: var(--bs-light) !important;
    padding: 10px 20px;
    border: 2px solid var(--bs-primary) !important;
    box-shadow: none !important;
}
/*** Navbar 1 End ***/


/*** Navbar 2 Start ***/
.navbar2 {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding-top: .5rem;
    padding-bottom: .5rem
}

.navbar2>.container,
.navbar2>.container-fluid,
.navbar2>.container-sm,
.navbar2>.container-md,
.navbar2>.container-lg,
.navbar2>.container-xl,
.navbar2>.container-xxl {
    display: flex;
    flex-wrap: inherit;
    align-items: center;
    justify-content: space-between
}

.fixed-top {
    transition: .5s;
}

.navbar2 {
    border-bottom: 1px solid rgba(255, 255, 255, .5);
}

.navbar2 .navbar-nav .nav-link {
    padding: 12px;
    /*color: var(--bs-dark);
    color: #ffd207;
    color: var(--bs-yellow);*/
    color: var(--bs-primary);
    background-color:#ffffffd0;/**/
    font-size: 18px;
    font-weight: 700;
    transition: .5s;
}

.navbar2 .navbar-nav .nav-link:hover,
.navbar2 .navbar-nav .nav-link.active,
.fixed-top.bg-white .navbar2 .navbar-nav .nav-link:hover,
.fixed-top.bg-white .navbar2 .navbar-nav .nav-link.active {
  /* color: var(--bs-primary);*/
     color: var(--bs-dark);
}

.navbar2 .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 992px) {
    .navbar-collapse {
        background: transparent !important;
    }

    .navbar2 .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        border: 0;
        transition: .5s;
        opacity: 0;
    }

    .navbar2 .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        background: var(--bs-light) !important;
        transition: .5s;
        opacity: 1;
    }
}

.navbar-toggler {
    background: var(--bs-secondary);
    color: var(--bs-light) !important;
    padding: 10px 20px;
    border: 2px solid var(--bs-primary) !important;
    box-shadow: none !important;
}
/*** Navbar 2 End ***/


/*** Hero Header ***/
.hero-header {
    margin-bottom: 6rem;
    padding-top: 15rem;
    padding-bottom: 6rem;
    /***background: url("../img/hero.jpg"), center center no-repeat;
    background-size: cover;
    **/
    background: url("../img/newImages/mosque0.jpg"), center center no-repeat;
    background-size: cover;
    background-position: 50% 100%;
}

.hero-header .hero-header-inner {
    padding: 3rem;
    background: rgba(255, 255, 255, .5);
}

@media (max-width: 992px) {
    .hero-header {
        padding-top: 12rem;
    }
}

.hero-header .breadcrumb-item {
    font-size: 18px;
}
/*** Hero Header ***/

/*** Hero Header for donate page ***/
.hero-header2 {
    margin-bottom: 6rem;
    padding-top: 15rem;
    padding-bottom: 6rem;
    /***background: url("../img/hero.jpg"), center center no-repeat;
    background-size: cover;
    
    background: url("../img/newImages/mosque-plan222.png"), center center no-repeat;**/
    background: url("../img/mosque-plan222small.png"), center center no-repeat;
    background-size: cover;
    background-position: 20% 5%;
}

.hero-header2 .hero-header-inner {
    padding: 3rem;
    background: rgba(255, 255, 255, .5);
    border-radius: 0px 9px 179px 0px;
    -webkit-border-radius: 0px 9px 179px 0px;
    -moz-border-radius: 0px 9px 179px 0px;
}

@media (max-width: 992px) {
    .hero-header2 {
        padding-top: 12rem;
    }
}

.hero-header2 .breadcrumb-item {
    font-size: 18px;
}
/*** Hero Header for donate page ***/

/*** About Start ***/
.about a.btn.btn-light:hover {
    background: var(--bs-dark) !important;
    color: var(--bs-primary) !important;
    border: 0;
}
/*** About End ***/


/*** Activities 1 Start ***/
.activities .activities-item {
    height: 100%;
    max-height: 350vh;
    display: flex;
    align-items: center;
    justify-content: center;
    /*box-shadow: 0 0 45px rgba(12, 18, 20, .08);*/
    transition: 0.5s;
}

.activities .activities-item:hover {
    background: var(--bs-primary) !important;
    color: var(--bs-dark) !important;
}

.activities .activities-item:hover a {
    background: var(--bs-light) !important;
    color: var(--bs-dark) !important;
}

.activities .activities-item:hover a:hover {
    background: var(--bs-dark) !important;
    color: var(--bs-primary) !important;
}
.activity-card{
    border-radius: 4px;
    box-shadow: 5px 5px 10px 0px rgba(0, 0, 0, 0.127);
   /* box-shadow: 0 6px 10px rgba(0,0,0,.08), 0 0 6px rgba(0,0,0,.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.997), 0 0 6px rgba(0, 0, 0, 0.837);*/
      transition: .3s transform cubic-bezier(.155,1.105,.295,1.12),.3s box-shadow,.3s -webkit-transform cubic-bezier(.155,1.105,.295,1.12);
  padding: 14px 80px 18px 36px;
  cursor: pointer;
}

.activity-card:hover{
     transform: scale(1.05);
  box-shadow: 0 10px 20px rgba(0,0,0,.12), 0 4px 8px rgba(0,0,0,.06);
  
}

    .activities-item i{ 

        color:var(--bs-fuzzy-peach-green4);
        transition: all .3s ease;      }
      
        .activities-item i:hover {
        color:var(--bs-fuzzy-peach-green1);
        transition: all .3s ease;

      }

.activities-item sup {
    color:white;
    font-size:12px;
}




.parapadding p {
    margin-top: 0;
    margin-bottom: -5px;
    max-height: 18px;
}
.paraheight {
    
    overflow: hidden;
    position: relative;
 
  }
  .paraheight-check {
    appearance: none;
    border: 1px solid;
    padding: 0.5em;
    border-radius: 0.25em;
    cursor: pointer;
    /*margin-top: 1rem;*/
  }
  
  .paraheight-check::before {
    content: "Read more";
  }
  
  .paraheight-check:checked::before {
    content: "Read less";
  }
  
  .paraheight:has(+ .paraheight-check:checked) {
    max-height: none;
  }
/*** Activities 1 End ***/


/*** Activities 2 Start ***/
/*
.activities .activities-item {
    height: 100%;
    max-height: 250vh;
    display: flex;
    align-items: center;
    justify-content: center;

    transition: 0.5s;
}

.activities .activities-item:hover {
    background: var(--bs-primary) !important;
    color: var(--bs-dark) !important;
}

.activities .activities-item:hover a {
    background: var(--bs-light) !important;
    color: var(--bs-dark) !important;
}

.activities .activities-item:hover a:hover {
    background: var(--bs-dark) !important;
    color: var(--bs-primary) !important;
}
.activity-card{
    border-radius: 4px;
    box-shadow: 5px 5px 10px 0px rgba(0, 0, 0, 0.127);

      transition: .3s transform cubic-bezier(.155,1.105,.295,1.12),.3s box-shadow,.3s -webkit-transform cubic-bezier(.155,1.105,.295,1.12);
  padding: 14px 80px 18px 36px;
  cursor: pointer;
}
.activity-card:hover{
     transform: scale(1.05);
  box-shadow: 0 10px 20px rgba(0,0,0,.12), 0 4px 8px rgba(0,0,0,.06);
}
*/
/*** Activities 2 End ***/

/*** Events Start ***/
.event-item img {
    transition: 0.5s;
}

.event .event-item a {
    transition: 0.5s;
}

.event-item:hover img {
    transition: 0.5s;
    transform: scale(1.2)
}

.event-item a:hover {
    background: var(--bs-dark);
    color: var(--bs-primary);
    opacity: 0.5s;
}
/*** Events End ***/


/*** Sermon Start ***/
.sermon .sermon-item {
    height: 100%;
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
}

.sermon-item img {
    transition: 0.5s;
}

.sermon-item:hover img {
    transform: scale(1.2)
}

.sermon-item .sermon-meta a,
.sermon-item .sermon-meta a i {
    transition: 0.5s;
}

.sermon-item .sermon-meta a:hover,
.sermon-item .sermon-meta a i:hover {
    color: var(--bs-primary) !important;
}
/*** Sermon End ***/


/*** Blog Start ***/
/*.blog-item {
    height: 100%;
    box-shadow: 0 0 45px rgba(0, 0, 0, 0.154);
}

.blog-item img {
    transition: 0.5s;
}

.blog-item:hover img {
    transform: scale(1.2)
}

.blog-item .blog-meta a,
.blog-item .blog-meta a i {
    transition: 0.5s;
}

.blog-item .blog-meta a:hover,
.blog-item .blog-meta a i:hover {
    color: var(--bs-primary) !important;
}*/

/*********************** Blog start ********************************/
.blog-item {
    transition: .5s;
  }
  
  .blog-item:hover {
    box-shadow: 0 0 40px #b0b0b0;
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -ms-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
  }
  
  .blog-date {
    position: absolute;
    width: 90px;
    height: 45px;
    top: 30px;
    left: -15px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    /*background: #7AB730;*/
    background: var(--bs-primary);
  }
  
  .blog-date::after {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    top: -15px;
    left: 0;
    border: 8px solid;
   /* border-color: transparent #5f8f25 #5f8f25 transparent;*/
   border-color: transparent var(--bs-primary) var(--bs-primary) transparent;
    z-index: -1;
  }
  
  .contact-form .help-block ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
  /**************** Blog End ****************/
  .float-left {
    float: left !important;
  }
  .float-right {
    float: right !important;
  }
  .blog-thumbnail-img {
width:20% !important;
  } 
/*** Blog End ***/


/*** Team Start ***/
.team .team-img {
    height: 100%;
    padding: 25px;
    background: var(--bs-white);
    overflow: hidden;
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
}

.team .team-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team .team-item {
    position: relative;
    overflow: hidden;
}

.team .team-item img {
    transition: 0.5s;
}

.team .team-item:hover img {
    transform: scale(1.2);
}

.team .team-item .team-content {
   position: absolute;
   width: 100%;
   height: 100%;
   top: 0;
   left: 0;
   padding: 15px;
   transform: translateX(-50%, -50%);
   display: flex;
   align-items: center;
   justify-content: center;
   opacity: 0;
   transition: 0.5s;
}

.team .team-item:hover .team-content {
    opacity: 1;
    background: rgba(241, 193, 82, .7);
}
/*** Team End ***/


/*** testimonial Start ***/
.testimonial-item {
    background: var(--bs-light);
    padding: 40px;
}

.testimonial-carousel .owl-item img {
    width: 100px;
    height: 100px;
}

.testimonial-carousel {
    position: relative;
    padding-left: 60px;
    padding-right: 60px;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 60px;
    height: 40px;
    background: var(--bs-primary);
    color: var(--bs-dark);
    font-size: 22px;
    top: 50%;
    left: 0px;
    transform: translateY(-50%);
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover {
    background: var(--bs-dark) !important;
    color: var(--bs-primary) !important;
}

.testimonial-carousel .owl-nav .owl-next {
    left: auto;
    right: 0px;
}

.testimonial-carousel .owl-nav .owl-next:hover {
    background: var(--bs-dark) !important;
    color: var(--bs-primary) !important;
}
/*** testimonial End ***/


/*** Footer Start ***/
.footer {
    margin-top: 6rem;
    /*background: var(--bs-dark);*/
    background: var(--bs-dark-50);
}

.footer .footer-item p {
    font-size: 16px;
    line-height: 35px;
}

.footer .border-top,
.footer .border-bottom {
    border-color: rgba(255, 255, 255, .08) !important;
}

.footer button {
    border: 0;
    transition: 0.5s;
}

.footer button:hover {
    background: var(--bs-dark);
    color: var(--bs-primary);
}

.footer-item a.btn.btn-light:hover {
    background: var(--bs-primary);
    color: var(--bs-dark) !important;
    border: var(--bs-primary);
}

.footer-item a,
.footer-item a i {
    transition: 0.5s;
}

.footer-item a:hover,
.footer-item a i:hover {
    color: var(--bs-primary) !important;
}
/*** Footer End ***/
